## sgt-puzzles 9872

=== Makefile ===
# Makefile for puzzles under X/GTK and Unix.
#
# This file was created by `mkfiles.pl' from the `Recipe' file.
# DO NOT EDIT THIS FILE DIRECTLY; edit Recipe or mkfiles.pl instead.

# You can define this path to point at your tools if you need to
# TOOLPATH = /opt/gcc/bin
CC := $(TOOLPATH)$(CC)
# You can manually set this to `gtk-config' or `pkg-config gtk+-1.2'
# (depending on what works on your system) if you want to enforce
# building with GTK 1.2, or you can set it to `pkg-config gtk+-2.0'
# if you want to enforce 2.0. The default is to try 2.0 and fall back
# to 1.2 if it isn't found.
GTK_CONFIG = sh -c 'pkg-config gtk+-2.0 $$0 2>/dev/null || gtk-config $$0'

CFLAGS := -O2 -Wall -Werror -ansi -pedantic -g -I./ -Iicons/ `$(GTK_CONFIG) \
		--cflags` $(CFLAGS)
XLIBS = `$(GTK_CONFIG) --libs` -lm
ULIBS = -lm#
INSTALL=install
INSTALL_PROGRAM=$(INSTALL)
INSTALL_DATA=$(INSTALL)
prefix=/usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
gamesdir=$(exec_prefix)/games
mandir=$(prefix)/man
man1dir=$(mandir)/man1

all: $(BINPREFIX)blackbox $(BINPREFIX)bridges $(BINPREFIX)cube \
		$(BINPREFIX)dominosa $(BINPREFIX)fifteen $(BINPREFIX)filling \
		$(BINPREFIX)fillingsolver $(BINPREFIX)flip \
		$(BINPREFIX)galaxies $(BINPREFIX)galaxiespicture \
		$(BINPREFIX)galaxiessolver $(BINPREFIX)guess \
		$(BINPREFIX)inertia $(BINPREFIX)keen $(BINPREFIX)keensolver \
		$(BINPREFIX)latincheck $(BINPREFIX)lightup \
		$(BINPREFIX)lightupsolver $(BINPREFIX)loopy \
		$(BINPREFIX)loopysolver $(BINPREFIX)magnets \
		$(BINPREFIX)magnetssolver $(BINPREFIX)map \
		$(BINPREFIX)mapsolver $(BINPREFIX)mineobfusc \
		$(BINPREFIX)mines $(BINPREFIX)net $(BINPREFIX)netslide \
		$(BINPREFIX)nullgame $(BINPREFIX)obfusc $(BINPREFIX)pattern \
		$(BINPREFIX)patternsolver $(BINPREFIX)pearl \
		$(BINPREFIX)pearlbench $(BINPREFIX)pegs $(BINPREFIX)range \
		$(BINPREFIX)rect $(BINPREFIX)samegame $(BINPREFIX)signpost \
		$(BINPREFIX)signpostsolver $(BINPREFIX)singles \
		$(BINPREFIX)singlessolver $(BINPREFIX)sixteen \
		$(BINPREFIX)slant $(BINPREFIX)slantsolver $(BINPREFIX)solo \
		$(BINPREFIX)solosolver $(BINPREFIX)tents \
		$(BINPREFIX)tentssolver $(BINPREFIX)towers \
		$(BINPREFIX)towerssolver $(BINPREFIX)twiddle \
		$(BINPREFIX)undead $(BINPREFIX)unequal \
		$(BINPREFIX)unequalsolver $(BINPREFIX)unruly \
		$(BINPREFIX)unrulysolver $(BINPREFIX)untangle

$(BINPREFIX)blackbox: blackbox.o blackbox-icon.o drawing.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ blackbox.o blackbox-icon.o drawing.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)bridges: bridges.o bridges-icon.o drawing.o dsf.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ bridges.o bridges-icon.o drawing.o dsf.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)cube: cube.o cube-icon.o drawing.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ cube.o cube-icon.o drawing.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

$(BINPREFIX)dominosa: dominosa.o dominosa-icon.o drawing.o gtk.o laydomino.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ dominosa.o dominosa-icon.o drawing.o gtk.o laydomino.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)fifteen: drawing.o fifteen.o fifteen-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o fifteen.o fifteen-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)filling: drawing.o dsf.o filling.o filling-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o filling.o filling-icon.o gtk.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)fillingsolver: dsf.o filling2.o malloc.o misc.o nullfe.o \
		random.o
	$(CC) -o $@ dsf.o filling2.o malloc.o misc.o nullfe.o random.o  \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)flip: drawing.o flip.o flip-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o flip.o flip-icon.o gtk.o malloc.o midend.o \
		misc.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)galaxies: drawing.o dsf.o galaxies.o galaxies-icon.o gtk.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o galaxies.o galaxies-icon.o gtk.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)galaxiespicture: dsf.o galaxie4.o malloc.o misc.o nullfe.o \
		random.o
	$(CC) -o $@ dsf.o galaxie4.o malloc.o misc.o nullfe.o random.o -lm \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)galaxiessolver: dsf.o galaxie2.o malloc.o misc.o nullfe.o \
		random.o
	$(CC) -o $@ dsf.o galaxie2.o malloc.o misc.o nullfe.o random.o -lm \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)guess: drawing.o gtk.o guess.o guess-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o guess.o guess-icon.o malloc.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

$(BINPREFIX)inertia: drawing.o gtk.o inertia.o inertia-icon.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o inertia.o inertia-icon.o malloc.o \
		midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)keen: drawing.o dsf.o gtk.o keen.o keen-icon.o latin.o malloc.o \
		maxflow.o midend.o misc.o printing.o ps.o random.o tree234.o \
		version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o keen.o keen-icon.o latin.o \
		malloc.o maxflow.o midend.o misc.o printing.o ps.o random.o \
		tree234.o version.o  $(XLFLAGS) $(XLIBS)

$(BINPREFIX)keensolver: dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o \
		nullfe.o random.o tree234.o
	$(CC) -o $@ dsf.o keen2.o latin6.o malloc.o maxflow.o misc.o \
		nullfe.o random.o tree234.o  $(XLFLAGS) $(ULIBS)

$(BINPREFIX)latincheck: latin8.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tree234.o
	$(CC) -o $@ latin8.o malloc.o maxflow.o misc.o nullfe.o random.o \
		tree234.o  $(XLFLAGS) $(ULIBS)

$(BINPREFIX)lightup: combi.o drawing.o gtk.o lightup.o lightup-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ combi.o drawing.o gtk.o lightup.o lightup-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)lightupsolver: combi.o lightup2.o malloc.o misc.o nullfe.o \
		random.o
	$(CC) -o $@ combi.o lightup2.o malloc.o misc.o nullfe.o random.o  \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)loopy: drawing.o dsf.o grid.o gtk.o loopgen.o loopy.o \
		loopy-icon.o malloc.o midend.o misc.o penrose.o printing.o \
		ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopgen.o loopy.o \
		loopy-icon.o malloc.o midend.o misc.o penrose.o printing.o \
		ps.o random.o tree234.o version.o  $(XLFLAGS) $(XLIBS)

$(BINPREFIX)loopysolver: dsf.o grid.o loopgen.o loopy2.o malloc.o misc.o \
		nullfe.o penrose.o random.o tree234.o
	$(CC) -o $@ dsf.o grid.o loopgen.o loopy2.o malloc.o misc.o nullfe.o \
		penrose.o random.o tree234.o -lm $(XLFLAGS) $(ULIBS)

$(BINPREFIX)magnets: drawing.o gtk.o laydomino.o magnets.o magnets-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o laydomino.o magnets.o magnets-icon.o \
		malloc.o midend.o misc.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)magnetssolver: laydomino.o magnets2.o malloc.o misc.o nullfe.o \
		random.o
	$(CC) -o $@ laydomino.o magnets2.o malloc.o misc.o nullfe.o random.o \
		-lm $(XLFLAGS) $(ULIBS)

$(BINPREFIX)map: drawing.o dsf.o gtk.o malloc.o map.o map-icon.o midend.o \
		misc.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o map.o map-icon.o midend.o \
		misc.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

$(BINPREFIX)mapsolver: dsf.o malloc.o map2.o misc.o nullfe.o random.o
	$(CC) -o $@ dsf.o malloc.o map2.o misc.o nullfe.o random.o -lm \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)mineobfusc: malloc.o mines2.o misc.o nullfe.o random.o tree234.o
	$(CC) -o $@ malloc.o mines2.o misc.o nullfe.o random.o tree234.o  \
		$(XLFLAGS) $(ULIBS)

$(BINPREFIX)mines: drawing.o gtk.o malloc.o midend.o mines.o mines-icon.o \
		misc.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o mines.o mines-icon.o \
		misc.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)net: drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o \
		net-icon.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o gtk.o malloc.o midend.o misc.o net.o \
		net-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)netslide: drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		netslide-icon.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o netslide.o \
		netslide-icon.o printing.o ps.o random.o tree234.o version.o \
		 $(XLFLAGS) $(XLIBS)

$(BINPREFIX)nullgame: drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		nullgame.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o no-icon.o \
		nullgame.o printing.o ps.o random.o version.o  $(XLFLAGS) \
		$(XLIBS)

$(BINPREFIX)obfusc: malloc.o misc.o nullfe.o obfusc.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o obfusc.o random.o  $(XLFLAGS) \
		$(ULIBS)

$(BINPREFIX)pattern: drawing.o gtk.o malloc.o midend.o misc.o pattern.o \
		pattern-icon.o printing.o ps.o random.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o pattern.o \
		pattern-icon.o printing.o ps.o random.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)patternsolver: malloc.o misc.o nullfe.o pattern2.o random.o
	$(CC) -o $@ malloc.o misc.o nullfe.o pattern2.o random.o  $(XLFLAGS) \
		$(ULIBS)

$(BINPREFIX)pearl: drawing.o dsf.o grid.o gtk.o loopgen.o malloc.o midend.o \
		misc.o pearl.o pearl-icon.o penrose.o printing.o ps.o \
		random.o tdq.o tree234.o version.o
	$(CC) -o $@ drawing.o dsf.o grid.o gtk.o loopgen.o malloc.o midend.o \
		misc.o pearl.o pearl-icon.o penrose.o printing.o ps.o \
		random.o tdq.o tree234.o version.o  $(XLFLAGS) $(XLIBS)

$(BINPREFIX)pearlbench: dsf.o grid.o loopgen.o malloc.o misc.o nullfe.o \
		pearl2.o penrose.o random.o tdq.o tree234.o
	$(CC) -o $@ dsf.o grid.o loopgen.o malloc.o misc.o nullfe.o pearl2.o \
		penrose.o random.o tdq.o tree234.o -lm $(XLFLAGS) $(ULIBS)

$(BINPREFIX)pegs: drawing.o gtk.o malloc.o midend.o misc.o pegs.o \
		pegs-icon.o printing.o ps.o random.o tree234.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o pegs.o \
		pegs-icon.o printing.o ps.o random.o tree234.o version.o  \
		$(XLFLAGS) $(XLIBS)

$(BINPREFIX)range: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o range.o range-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o range.o range-icon.o version.o  $(XLFLAGS) $(XLIBS)

$(BINPREFIX)rect: drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o rect.o rect-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o rect.o rect-icon.o version.o  $(XLFLAGS) $(XLIBS)

$(BINPREFIX)samegame: drawing.o gtk.o malloc.o midend.o misc.o printing.o \
		ps.o random.o samegame.o samegame-icon.o version.o
	$(CC) -o $@ drawing.o gtk.o malloc.o midend.o misc.o printing.o ps.o \
		random.o samegame.o samegame-icon.o version.o  $(XLFLAGS) \
		$(XLIBS)

$(BINPREFIX)signpost: drawing.o dsf.o gtk.o malloc.o midend.o misc.o \
		printing.o ps.o random.o signpost.o signpost-icon.o \

=== icons/Makefile ===
# Makefile for Puzzles icons.

PUZZLES = blackbox bridges cube dominosa fifteen filling flip galaxies	\
	  guess inertia keen lightup loopy magnets map mines net	\
	  netslide pattern pearl pegs range rect samegame signpost	\
	  singles sixteen slant solo tents towers twiddle undead	\
	  unequal unruly untangle

BASE = $(patsubst %,%-base.png,$(PUZZLES))
WEB = $(patsubst %,%-web.png,$(PUZZLES))

IBASE = $(patsubst %,%-ibase.png,$(PUZZLES))
IBASE4 = $(patsubst %,%-ibase4.png,$(PUZZLES))
P48D24 = $(patsubst %,%-48d24.png,$(PUZZLES))
P48D8 = $(patsubst %,%-48d8.png,$(PUZZLES))
P48D4 = $(patsubst %,%-48d4.png,$(PUZZLES))
P32D24 = $(patsubst %,%-32d24.png,$(PUZZLES))
P32D8 = $(patsubst %,%-32d8.png,$(PUZZLES))
P32D4 = $(patsubst %,%-32d4.png,$(PUZZLES))
P16D24 = $(patsubst %,%-16d24.png,$(PUZZLES))
P16D8 = $(patsubst %,%-16d8.png,$(PUZZLES))
P16D4 = $(patsubst %,%-16d4.png,$(PUZZLES))
ICONS = $(patsubst %,%.ico,$(PUZZLES))
CICONS = $(patsubst %,%-icon.c,$(PUZZLES))
RC = $(patsubst %,%.rc,$(PUZZLES))

BIN = ../
PIC = ./

base: $(BASE)
web: $(WEB)
pngicons: $(P48D24) $(P32D24) $(P16D24)
winicons: $(ICONS) $(RC)
gtkicons: $(CICONS)
all: base web pngicons winicons gtkicons

# Build the base puzzle screenshots from which all the other images
# are derived. Some of them involve showing a move animation
# part-way through.
fifteen-base.png : override REDO=0.3
flip-base.png : override REDO=0.3
netslide-base.png : override REDO=0.3
sixteen-base.png : override REDO=0.3
twiddle-base.png : override REDO=0.3
$(BASE): %-base.png: $(BIN)% $(PIC)%.sav
	$(PIC)screenshot.sh $(BIN)$* $(PIC)$*.sav $@ $(REDO)

# Build the screenshots for the web, by scaling the original base
# images to a uniform size.
$(WEB): %-web.png: %-base.png
	$(PIC)square.pl 150 5 $^ $@

# Build the base _icon_ images, by careful cropping of the base
# images: icons are very small so it's often necessary to zoom in
# on a smaller portion of the screenshot.
blackbox-ibase.png : override CROP=352x352 144x144+0+208
bridges-ibase.png : override CROP=264x264 107x107+157+157
dominosa-ibase.png : override CROP=304x272 152x152+152+0
fifteen-ibase.png : override CROP=240x240 120x120+0+120
filling-ibase.png : override CROP=256x256 133x133+14+78
flip-ibase.png : override CROP=288x288 145x145+120+72
galaxies-ibase.png : override CROP=288x288 165x165+0+0
guess-ibase.png : override CROP=263x420 178x178+75+17
inertia-ibase.png : override CROP=321x321 128x128+193+0
keen-ibase.png : override CROP=288x288 96x96+24+120
lightup-ibase.png : override CROP=256x256 112x112+144+0
loopy-ibase.png : override CROP=257x257 113x113+0+0
magnets-ibase.png : override CROP=264x232 96x96+36+100
mines-ibase.png : override CROP=240x240 110x110+130+130
net-ibase.png : override CROP=193x193 113x113+0+80
netslide-ibase.png : override CROP=289x289 144x144+0+0
pattern-ibase.png : override CROP=384x384 223x223+0+0
pearl-ibase.png : override CROP=216x216 94x94+108+15
pegs-ibase.png : override CROP=263x263 147x147+116+0
range-ibase.png : override CROP=256x256 98x98+111+15
rect-ibase.png : override CROP=205x205 115x115+90+0
signpost-ibase.png : override CROP=240x240 98x98+23+23
singles-ibase.png : override CROP=224x224 98x98+15+15
sixteen-ibase.png : override CROP=288x288 144x144+144+144
slant-ibase.png : override CROP=321x321 160x160+160+160
solo-ibase.png : override CROP=481x481 145x145+24+24
tents-ibase.png : override CROP=320x320 165x165+142+0
towers-ibase.png : override CROP=300x300 102x102+151+6
twiddle-ibase.png : override CROP=192x192 102x102+69+21
undead-ibase.png : override CROP=416x480 192x192+16+80
unequal-ibase.png : override CROP=208x208 104x104+104+104
untangle-ibase.png : override CROP=320x320 164x164+3+116
$(IBASE): %-ibase.png: %-base.png
	$(PIC)crop.sh $^ $@ $(CROP)

# Convert the full-size icon images to 4-bit colour, because that
# seems to work better than reducing it in 24 bits and then
# dithering.
$(IBASE4): %-ibase4.png: %-ibase.png
	convert -colors 16 +dither -map $(PIC)win16pal.xpm $^ $@

# Build the 24-bit PNGs for the icons, at three sizes.
$(P48D24): %-48d24.png: %-ibase.png
	$(PIC)square.pl 48 4 $^ $@
$(P32D24): %-32d24.png: %-ibase.png
	$(PIC)square.pl 32 2 $^ $@
$(P16D24): %-16d24.png: %-ibase.png
	$(PIC)square.pl 16 1 $^ $@

# The 8-bit icon PNGs are just custom-paletted quantisations of the
# 24-bit ones.
$(P48D8) $(P32D8) $(P16D8): %d8.png: %d24.png
	convert -colors 256 $^ $@

# But the depth-4 images work better if we re-shrink from the
# ibase4 versions of the images, and then normalise the colours
# again afterwards. (They're still not very good, but my hope is
# that on most modern Windows machines this won't matter too
# much...)
$(P48D4): %-48d4.png: %-ibase4.png
	$(PIC)square.pl 48 1 $^ $@-tmp2.png
	convert -colors 16 -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png
$(P32D4): %-32d4.png: %-ibase.png
	$(PIC)square.pl 32 1 $^ $@-tmp2.png
	convert -colors 16 -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png
$(P16D4): %-16d4.png: %-ibase.png
	$(PIC)square.pl 16 1 $^ $@-tmp2.png
	convert -colors 16 -map $(PIC)win16pal.xpm $@-tmp2.png $@
	rm -f $@-tmp2.png

# Build the actual Windows icons themselves, by feeding all those
# PNGs to my icon builder script.
$(ICONS): %.ico: %-48d24.png %-48d8.png %-48d4.png \
                 %-32d24.png %-32d8.png %-32d4.png \
                 %-16d24.png %-16d8.png %-16d4.png
	$(PIC)icon.pl -24 $*-48d24.png $*-32d24.png $*-16d24.png \
		      -8  $*-48d8.png  $*-32d8.png  $*-16d8.png  \
		      -4  $*-48d4.png  $*-32d4.png  $*-16d4.png  > $@

# Build the .RC files which bind the icons into the applications.
$(RC): %.rc:
	echo '#include "puzzles.rc2"' > $@
	echo '200 ICON "$*.ico"' >> $@

# Build the GTK icon source files.
$(CICONS): %-icon.c: %-16d24.png %-32d24.png %-48d24.png
	$(PIC)cicon.pl $^ > $@	

clean:
	rm -f *.png *.ico *.rc *-icon.c

=== debian/changelog ===
sgt-puzzles (9872-1) unstable; urgency=low

  * New upstream version
    - Add an explicit -lm to the link lines in Makefile.gtk (Closes: #713476)
    - Add Undead by Steffen Bauer, an implementation of 'Haunted Mirror Maze'
    - Add Unruly by Lennard Sprong, an implementation of a puzzle usually
      called 'Tohu wa Vohu'
  * Add DEP-3 headers to patches
  * pearl: Require width or height to be at least 6 for Tricky
    (Closes: #667963)
  * debian/watch: Update ViewVC URL regex
  * Add 'sgt-' prefix to all command names and remove 'game' suffix, but
    retain symlinks under the old names (see #684193)
  * Use upstream short descriptions in English manual pages and package
    description
  * Update German translation, thanks to Helge Kreutzmann

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 30 Jun 2013 03:20:16 +0100

=== debian/control ===
Source: sgt-puzzles
Maintainer: Ben Hutchings <ben@decadent.org.uk>
Section: games
Priority: extra
Build-Depends: debhelper (>= 7.0.50~), halibut, libgtk2.0-dev, liblocale-po-perl, perl, po4a
Standards-Version: 3.9.2
Homepage: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
Vcs-Git: http://git.decadent.org.uk/git/sgt-puzzles.git/
Vcs-Browser: http://git.decadent.org.uk/gitweb?p=sgt-puzzles.git

Package: sgt-puzzles
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yelp | khelpcenter | www-browser
Description: Simon Tatham's Portable Puzzle Collection - 1-player puzzle games
 Simon Tatham's Portable Puzzle Collection contains a number of popular
 puzzle games for one player.  It currently consists of these games:
 .
  * Black Box, ball-finding puzzle
  * Bridges, bridge-placing puzzle
  * Cube, rolling cube puzzle
  * Dominosa, domino tiling puzzle
  * Fifteen, sliding block puzzle
  * Filling, polyomino puzzle
  * Flip, tile inversion puzzle
  * Galaxies, symmetric polyomino puzzle
  * Guess, combination-guessing puzzle
  * Inertia, gem-collecting puzzle
  * Keen, arithmetic Latin square puzzle
  * Light Up, light-bulb placing puzzle
  * Loopy, loop-drawing puzzle
  * Magnets, magnet-placing puzzle
  * Map, map-colouring puzzle
  * Mines, mine-finding puzzle
  * Net, network jigsaw puzzle
  * Netslide, toroidal sliding network puzzle
  * Pattern
  * Pearl, loop-drawing puzzle
  * Pegs, peg solitaire puzzle
  * Range, visible-distance puzzle
  * Rectangles
  * Same Game, block-clearing puzzle
  * Signpost, square-connecting puzzle
  * Singles, number-removing puzzle
  * Sixteen, toroidal sliding block puzzle
  * Slant, maze-drawing puzzle
  * Solo, number placement puzzle
  * Tents, tent-placing puzzle
  * Towers, tower-placing Latin square puzzle
  * Twiddle, rotational sliding block puzzle
  * Undead, monster-placing puzzle
  * Unequal, Latin square puzzle
  * Unruly, black and white grid puzzle
  * Untangle, planar graph layout puzzle

=== debian/rules ===
#!/usr/bin/make -f

# We require some bash features
override SHELL := /bin/bash

DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -r 's/^Version: //; t; d')
UPSTREAM_VERSION := $(shell echo $(DEBIAN_VERSION) | sed -r 's/^[0-9]*://; s/-[^-]*$$//')

LANGUAGES := en $(patsubst debian/po/%.po,%,$(wildcard debian/po/*.po))

# Distributed files that we regenerate
AUTOGEN_FILES := list.c Makefile Makefile.cyg Makefile.emcc Makefile.gnustep \
		 Makefile.nestedvm Makefile.osx Makefile.vc Makefile.wce \
		 preprocessed.but puzzles.txt puzzles.hlp puzzles.cnt HACKING

%:
	dh $@

override_dh_auto_configure:
	./mkfiles.pl
	[ -L po ] || ln -s debian/po po
	rm -f preprocessed.but

override_dh_auto_build:
	$(MAKE) "VER=-DREVISION=$(UPSTREAM_VERSION)" \
	    "XFLAGS=-DDEBIAN_VERSION=\"\\\"$(DEBIAN_VERSION)\\\"\" -DHELP_BROWSER_PATH=\"\\\"yelp:khelpcenter:sensible-browser\\\"\"" \
	    puzzles
	$(MAKE) -f Makefile.doc BINPREFIX=sgt-

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/sgt-puzzles BINPREFIX=sgt- install

override_dh_installdocs:
	for lang in $(LANGUAGES); do \
		dh_install doc/html-$$lang/*.html usr/share/sgt-puzzles/help/$$lang \
		|| exit; \
	done
	dh_installdocs

override_dh_installman:
	for lang in $(LANGUAGES); do \
		dh_installman --language=$${lang/en/C} doc/man-$$lang/* || exit; \
	done

override_dh_install:
	dh_install debian/desktop/*.desktop usr/share/applications
	for icon in icons/*-48d24.png; do \
	    base="$$(basename $$icon -48d24.png)" && \
	    install -m644 $$icon debian/sgt-puzzles/usr/share/icons/hicolor/48x48/apps/sgt-$$base.png \
	    || exit; \
	done

override_dh_auto_clean:
	! [ -f Makefile ] || $(MAKE) clean
	$(MAKE) -f Makefile.doc clean
	if [ -d .git ]; then				\
		git checkout HEAD $(AUTOGEN_FILES);	\
	else						\
		rm -f $(AUTOGEN_FILES);			\
	fi
	rm -f po
	dh_clean debian/substvars gamedesc.txt version2.def

# The test rule doesn't currently work with the combined executable we build
override_dh_auto_test:
	:

=== debian/watch ===
# Upstream homepage links to a file called puzzles.tar.gz which
# redirects to puzzles-r$version.tar.gz.  uscan can't check that.
# However, this is a nightly snapshot numbered according to the SVN
# revision number, so we can extract the version number from its web
# view.
version=3
opts="filenamemangle=s/.*revision=(\d+).*/sgt-puzzles_$1.orig.tar.gz/,downloadurlmangle=s@.*revision=(\d+).*@http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles-r$1.tar.gz@" \
http://svn.tartarus.org/sgt/puzzles/ /sgt\?view=revision\&amp;revision=(\d+)

## sgt-puzzles 20140928.r10274

=== debian/changelog ===
sgt-puzzles (20140928.r10274-1) unstable; urgency=medium

  * New upstream version
    - Version scheme is now date-based
    - Fix a failure to warn about non-unique rows/columns in non-square Unruly
      grids (Closes: #718354)
  * Add Debian menu entries for Range and Signpost
  * debian/watch: Delete, as new versions are date-based and there is
    currently no obvious way to find the last date changed
  * Disable 304_combine-binaries.diff which no longer applies
  * Build using autotools
    - Drop patches 301_fix-install-dirs.diff, 305_no-werror.diff
  * Exclude puzzles.chm from orig tarball because it requires non-free tools
    to regenerate from source
  * Update policy version to 3.9.6; no changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 01 Oct 2014 22:10:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Ben Hutchings <ben@decadent.org.uk>
 Section: games
 Priority: extra
-Build-Depends: debhelper (>= 7.0.50~), halibut, libgtk2.0-dev, liblocale-po-perl, perl, po4a
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), halibut, libgtk2.0-dev, liblocale-po-perl, perl, po4a, autoconf, automake
+Standards-Version: 3.9.6
 Homepage: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
 Vcs-Git: http://git.decadent.org.uk/git/sgt-puzzles.git/
 Vcs-Browser: http://git.decadent.org.uk/gitweb?p=sgt-puzzles.git

=== debian/rules ===
#!/usr/bin/make -f

# We require some bash features
override SHELL := /bin/bash

DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -r 's/^Version: //; t; d')

LANGUAGES := en $(patsubst debian/po/%.po,%,$(wildcard debian/po/*.po))

# Distributed files that we regenerate
AUTOGEN_FILES := HACKING Makefile.am Makefile.cyg Makefile.emcc \
		 Makefile.gnustep Makefile.gtk Makefile.in Makefile.nestedvm \
		 Makefile.osx Makefile.vc Makefile.wce aclocal.m4 configure \
		 depcomp install-sh list.c missing preprocessed.but \
		 puzzles.cnt puzzles.hlp puzzles.txt

%:
	dh $@

override_dh_auto_configure:
	./mkfiles.pl
	./mkauto.sh
	CPPFLAGS="-DDEBIAN_VERSION=\"\\\"$(DEBIAN_VERSION)\\\"\" -DHELP_BROWSER_PATH=\"\\\"yelp:khelpcenter:sensible-browser\\\"\"" ./configure --prefix=/usr --bindir=/usr/games --program-prefix=sgt-
	[ -L po ] || ln -s debian/po po
	rm -f preprocessed.but

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -f Makefile.doc BINPREFIX=sgt-

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/sgt-puzzles install

override_dh_installdocs:
	for lang in $(LANGUAGES); do \
		dh_install doc/html-$$lang/*.html usr/share/sgt-puzzles/help/$$lang \
		|| exit; \
	done
	dh_installdocs

override_dh_installman:
	for lang in $(LANGUAGES); do \
		dh_installman --language=$${lang/en/C} doc/man-$$lang/* || exit; \
	done

override_dh_install:
	dh_install debian/desktop/*.desktop usr/share/applications
	for icon in icons/*-48d24.png; do \
	    base="$$(basename $$icon -48d24.png)" && \
	    install -m644 $$icon debian/sgt-puzzles/usr/share/icons/hicolor/48x48/apps/sgt-$$base.png \
	    || exit; \
	done

override_dh_auto_clean:
	! [ -f Makefile ] || $(MAKE) distclean
	$(MAKE) -f Makefile.doc clean
	if [ -d .git ]; then				\
		git checkout HEAD $(AUTOGEN_FILES);	\
	else						\
		rm -f $(AUTOGEN_FILES);			\
	fi
	rm -f po
	dh_clean debian/substvars compile gamedesc.txt version2.def

get-orig-source:
	wget -O puzzles-new.tar.gz http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles.tar.gz
	version="$$(tar -xOzf puzzles-new.tar.gz --wildcards '*/version.h' | \
		    sed -n 's/^\#define VER "Version \([^ ]*\)"$$/\1/p')" \
	&& test -n "$$version"						\
	&& mk-origtargz --exclude-file '*.chm' -v"$$version" puzzles-new.tar.gz
	rm -f puzzles-new.tar.gz

## sgt-puzzles 20150310.ffe0aa6-1

=== debian/changelog ===
sgt-puzzles (20150310.ffe0aa6-1) unstable; urgency=medium

  * New upstream version
  * Ingame-help

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 01 Oct 2014 22:10:50 +0100

=== debian/control ===
Source: sgt-puzzles
Maintainer:  Aapo Rantalainen <aapo.rantalainen@gmail.com>
XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
Section: user/games
Priority: extra
Build-Depends: debhelper (>= 4), libgtk2.0-dev, perl, quilt, libhildon1-dev, halibut, gtkhtml3.14-dev
Standards-Version: 3.8.1
Homepage: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
Vcs-Git: http://git.decadent.org.uk/git/sgt-puzzles.git/
Vcs-Browser: http://git.decadent.org.uk/gitweb?p=sgt-puzzles.git

Package: sgt-puzzles
Architecture: any
Depends: ${shlibs:Depends}, python-hildon (>=0.9.0-1maemo15)
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com>
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oBBwkKGDmUz7MAAATG
 SURBVEjHhVVNbxxFEK2qnp6ZnV1713Zsy0m8dpwPBAoJhiTIUoALCBGBBOIf
 IHEEkR+BxIELp5xA/AGEOCJCEBCJKFIsBQVHUYKNcawE8H5kZ2d2p6e7isPY
 uxsgoQ59mZpX9bpevcbbt24gEhKCCDw6EFEemyAiIuIhUevudqPRCCYnYJCP
 ACJEFIYhADjHzKy1BwDG5HluEGmAjogsPDU5WalUPCL67drqzbW1+osvsHOD
 DOdcOYqWl5etzYvKiOj7/vr6xsbmZnV8PAgCESHCJOmlaQJHj4yNjXmIiISe
 9n2tWSkuwADAOS8IdBiAQUAs6OggUL4OS9Gd9Y1LF78NwjBJknPnztUX68VP
 3pAcgAAECMQOkBxLSbiCmBOBCIgIUYBYEokQGvfuff/DZUQQgZXnnj1++BCy
 DOEAQEBKir68s7HaaI57nhPxlKrdXieWDnMqMkfklEriuJeb1uYWACApce6r
 za1LYfTe2ZWFAZwAsIAm/LPXe3vh4JGJiczachSdOHli3NdfXLv+09bWJ2++
 0czzjfWNe/f/uBZ3fgXwlDLOvVo/eOrppw6UQhmSRUBERFKIkR+Uw1DneTkM
 a5VK1fcrpbDk+xPjFTb5eDlqeWrlzOlDCwuIyCJzszMeiFZqj6yAc2ytzZmZ
 OXfW5Lmx1jMmSVNlbT/LcuuSJE1M3s/63SQplUozM9NRFCVJwiJx3GXm4d0Z
 k6Vp6hHZ3Pb7WZqmxjoR3tlp5L7uJt2+yf76q9EwJk16hw8fKgWlbpJ8+tnn
 58+/3+/1rbVa+wWcAEIURdVqtapUEPiVSrlarRpry+WoXp9vttrW00xkw2B+
 doYQp6f3lcvldrudpOkTx452u0me5+12u4BDABAWZmYEEWEWZnbOMXPabn/Q
 aF9fOWus7WzfvSDinM0yo7VnjAGBLDNZZqyzBcuhUHD3wMGWAiCyNKu1eGlJ
 AHa6MQgDIBafEPdmCMKc5xYRPXhsCIiwuNwCADAL4SMMgohIRLzR3h7KAAAQ
 LwhOrd+a73YAYLbZVE8eg1j2LOQhJkoRjMq4WEwAGRAmoqha/fDEcbIOAHh+
 P5RKO6221p7va609Zqe1r7UZAO/qrpemDx48YMTMmLjbbRE54U4nvnr1KrMM
 SirEVqt1d7ustU772eLS0uUrV5zJnbNzc3N7cKNC8YOxsbFarcoArVYrjru7
 vQOAiFKq188AMQyCSOStV15O425OlPZ6MirjwjJEBEAIQAEAgEIKPG/UgolI
 K4rC8M5O42s/8HNnjHktiRenpwu+Q4MqLM2IbHRiAGHAOI53BlR34TCOu2MC
 q/3sx3fehUoFMrP88UdH96zZG30N+iLPTE2u7jS24hgAM5MFnXhk6oKIWZYF
 3WSbGQQIgAkJaVByOFkEMMzP75976cD+wl5arVatVhtVIZFqNptTkxMXt+//
 fHONazWIY7GmoDZClpCIAMAAZLzr8LEIMQ9eOAEggS4A97OTtfEL331DgE6k
 vLDQk90l8USESDV/WSs2FwfNIqRp2okiHI4WkDBNU98PtNZKFQODzu9b/V5v
 9vVzUK97zrnFM6eFmUUQ/7li/96WAnp4FINknto3JSx4+9YNQFRKISL8f/xn
 hcKHWJj/BpO+vBgdnkicAAAAAElFTkSuQmCC
XB-Maemo-Display-Name: Puzzle Collection
Description: Simon Tatham's Portable Puzzle Collection - 1-player puzzle games
 Simon Tatham's Portable Puzzle Collection contains a number of popular
 puzzle games for one player.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -O0
else
	CPPFLAGS += -O3
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -g -O0 -DDEBUG
else
	CPPFLAGS += -DNDEBUG
endif




config.status: configure
	dh_testdir
	# Add here commands to configure the package.

configure:

build: build-stamp
build-stamp: config.status
	dh_testdir


	patch < debian/patches/102_fix-pearl-min-dimensions.diff
	patch < debian/patches/104_flood_signed_char.diff
	patch < debian/patches/206_translate-docs.diff
	patch < debian/patches/208_rename-rectangles-chapter.patch
	#patch < debian/patches/201_make-more-docs.diff
	patch < debian/patches/205_add_hildon_recipe.diff
	patch < debian/patches/207_slant-shade-filled.diff
	#patch < debian/patches/303_show-debian-version-number.diff
	patch < debian/patches/306_fix_input_text.diff
	patch < debian/patches/400_save_dir.diff
	patch < debian/patches/404_ingame_help.diff

	#These might encounter non-fatal errors
	./mkfiles.pl 
	./mkauto.sh || true
	automake || true

	#Use fixed libgtkhtml-3.14
	cp -r debian/include .

	# Add here commands to compile the package.
	CPPFLAGS="-DSTYLUS_BASED=1" ./configure  --bindir=/opt/sgt-puzzles --program-prefix=sgt-
	make
	make -f Makefile.doc BINPREFIX=sgt-

	mkdir -p doc_html
	cd doc_html && halibut --html ../preprocessed.but

	touch build-stamp

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	#make clean #broken
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	make DESTDIR=debian/sgt-puzzles install

	#tune binaries to the correct folder
	mkdir -p -m755 debian/sgt-puzzles/opt/sgt-puzzles/puzzles
	mv debian/sgt-puzzles/opt/sgt-puzzles/sgt-* debian/sgt-puzzles/opt/sgt-puzzles/puzzles

	#Launcher
	install -m755 debian/sgt-launcher debian/sgt-puzzles/opt/sgt-puzzles/sgt-launcher

	# .desktop
	mkdir -p -m755  debian/sgt-puzzles/usr/share/applications/hildon
	install -m644 debian/sgt-puzzles.desktop debian/sgt-puzzles/usr/share/applications/hildon/

	# icon
	mkdir -p -m755 debian/sgt-puzzles/usr/share/icons/hicolor/48x48/apps/
	install -m644 debian/sgt-icon.png debian/sgt-puzzles/usr/share/icons/hicolor/48x48/apps/sgt-puzzles.png

	#help files
	sed -i '/Contents/d' doc_html/*.html  #drop 'navigation' from html-files
	mkdir -p -m755 debian/sgt-puzzles/opt/sgt-puzzles/help
	cp doc_html/*.html debian/sgt-puzzles/opt/sgt-puzzles/help

	# icons
	mkdir -p -m755 debian/sgt-puzzles/opt/sgt-puzzles/icons/
	for icon in icons/*-48d24.png; do \
	    base="$$(basename $$icon -48d24.png)" && \
	    install -m644 $$icon debian/sgt-puzzles/opt/sgt-puzzles/icons/sgt-$$base.png \
	    || exit; \
	done

	#CleanUp. Do not put anything under these directories
	rm -rf debian/sgt-puzzles/usr/games
	rm -rf debian/sgt-puzzles/usr/share/sgt-puzzles/
	rm -rf debian/sgt-puzzles/usr/share/help
	rm -rf debian/sgt-puzzles/usr/share/man

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_undocumented
#	dh_installman
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## sgt-puzzles 20160429.b31155b

=== debian/changelog ===
sgt-puzzles (20160429.b31155b-1ubuntu1) zesty; urgency=medium

  * Avoid FTBFS by building with -O2 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 11 Jan 2017 11:19:09 +0200

sgt-puzzles (20160429.b31155b-1) unstable; urgency=medium

  * New upstream version (Closes: #791982)
    - Add Flood, a flood-filling puzzle
    - Add Palisade by Jonas Kölker, an implementation of 'Five Cells'
    - Add Tracks by James Harvey, a path-finding railway track puzzle
  * debian/control: Change Vcs-Git and Vcs-Browser to HTTP-S URLs
  * Fix HTML filenames for Rectangles (Closes: #819906)
  * debian/rules: Use dpkg makefile fragments to set DEBIAN_VERSION
  * debian/rules: Use dpkg-recommended build flags (Closes: #767531)
  * Remove command aliases without the 'sgt-' prefix (Closes: #684193)
  * towers.c: Fix FTBFS with gcc 6 (Closes: #811577)
  * debian/rules: Disable running tests; upstream tarballs don't include the
    necessary files
  * Add desktop files and Debian menu entries for the new puzzles
  * mkmanpages.pl: Fix regexp syntax warnings
  * mkmanpages.pl: Update for new version format
  * Change help browser search path to xdg-open:sensible-browser, since yelp
    and khelpcenter no longer work with arbitrary HTML files
  * Use msgmerge --previous option when updating .po files, thanks to
    Helge Kreutzmann
  * Update German translation, thanks to Helge Kreutzmann

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 20 Jul 2016 01:34:44 +0100

=== debian/control ===
Source: sgt-puzzles
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
Section: games
Priority: extra
Build-Depends: debhelper (>= 7.0.50~), halibut, libgtk2.0-dev, liblocale-po-perl, perl, po4a, autoconf, automake
Standards-Version: 3.9.6
Homepage: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
Vcs-Git: https://git.decadent.org.uk/git/sgt-puzzles.git/
Vcs-Browser: https://git.decadent.org.uk/gitweb?p=sgt-puzzles.git

Package: sgt-puzzles
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yelp | khelpcenter | www-browser
Description: Simon Tatham's Portable Puzzle Collection - 1-player puzzle games
 Simon Tatham's Portable Puzzle Collection contains a number of popular
 puzzle games for one player.  It currently consists of these games:
 .
  * Black Box, ball-finding puzzle
  * Bridges, bridge-placing puzzle
  * Cube, rolling cube puzzle
  * Dominosa, domino tiling puzzle
  * Fifteen, sliding block puzzle
  * Filling, polyomino puzzle
  * Flip, tile inversion puzzle
  * Galaxies, symmetric polyomino puzzle
  * Guess, combination-guessing puzzle
  * Inertia, gem-collecting puzzle
  * Keen, arithmetic Latin square puzzle
  * Light Up, light-bulb placing puzzle
  * Loopy, loop-drawing puzzle
  * Magnets, magnet-placing puzzle
  * Map, map-colouring puzzle
  * Mines, mine-finding puzzle
  * Net, network jigsaw puzzle
  * Netslide, toroidal sliding network puzzle
  * Pattern
  * Pearl, loop-drawing puzzle
  * Pegs, peg solitaire puzzle
  * Range, visible-distance puzzle
  * Rectangles
  * Same Game, block-clearing puzzle
  * Signpost, square-connecting puzzle
  * Singles, number-removing puzzle
  * Sixteen, toroidal sliding block puzzle
  * Slant, maze-drawing puzzle
  * Solo, number placement puzzle
  * Tents, tent-placing puzzle
  * Towers, tower-placing Latin square puzzle
  * Twiddle, rotational sliding block puzzle
  * Undead, monster-placing puzzle
  * Unequal, Latin square puzzle
  * Unruly, black and white grid puzzle
  * Untangle, planar graph layout puzzle

=== debian/rules ===
#!/usr/bin/make -f

# We require some bash features
override SHELL := /bin/bash

include /usr/share/dpkg/default.mk

LANGUAGES := en $(patsubst debian/po/%.po,%,$(wildcard debian/po/*.po))

# Distributed files that we regenerate
AUTOGEN_FILES := HACKING Makefile.am Makefile.cyg Makefile.emcc \
		 Makefile.gnustep Makefile.gtk Makefile.in Makefile.nestedvm \
		 Makefile.osx Makefile.vc Makefile.wce aclocal.m4 configure \
		 depcomp install-sh list.c missing preprocessed.but \
		 puzzles.cnt puzzles.hlp puzzles.txt

ifeq ($(DEB_HOST_ARCH), ppc64el)
CFLAGS := $(filter-out -O3,$(CFLAGS)) -O2
endif

%:
	dh $@

override_dh_auto_configure:
	./mkfiles.pl
	./mkauto.sh
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) -DDEBIAN_VERSION=\"\\\"$(DEB_VERSION)\\\"\"" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --bindir=/usr/games --program-prefix=sgt-
	[ -L po ] || ln -s debian/po po
	rm -f preprocessed.but

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -f Makefile.doc BINPREFIX=sgt-

# Disable running tests; upstream tarballs don't include the necessary files
override_dh_auto_test:

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/sgt-puzzles install

override_dh_installdocs:
	for lang in $(LANGUAGES); do \
		dh_install doc/html-$$lang/*.html usr/share/sgt-puzzles/help/$$lang \
		|| exit; \
	done
	dh_installdocs

override_dh_installman:
	for lang in $(LANGUAGES); do \
		dh_installman --language=$${lang/en/C} doc/man-$$lang/* || exit; \
	done

override_dh_install:
	dh_install debian/desktop/*.desktop usr/share/applications
	for icon in icons/*-48d24.png; do \
	    base="$$(basename $$icon -48d24.png)" && \
	    install -m644 $$icon debian/sgt-puzzles/usr/share/icons/hicolor/48x48/apps/sgt-$$base.png \
	    || exit; \
	done

override_dh_auto_clean:
	! [ -f Makefile ] || $(MAKE) distclean
	$(MAKE) -f Makefile.doc clean
	if [ -d .git ]; then				\
		git checkout HEAD $(AUTOGEN_FILES);	\
	else						\
		rm -f $(AUTOGEN_FILES);			\
	fi
	rm -f po
	dh_clean debian/substvars compile gamedesc.txt version2.def

get-orig-source:
	wget -O puzzles-new.tar.gz http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles.tar.gz
	version="$$(tar -xOzf puzzles-new.tar.gz --wildcards '*/version.h' | \
		    sed -n 's/^\#define VER "Version \([^ ]*\)"$$/\1/p')" \
	&& test -n "$$version"						\
	&& mk-origtargz --exclude-file '*.chm' -v"$$version" puzzles-new.tar.gz
	rm -f puzzles-new.tar.gz

## sgt-puzzles 20161228.7cae89f

=== debian/changelog ===
sgt-puzzles (20161228.7cae89f-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Avoid FTBFS by building with -O2 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 18 Jan 2017 13:32:31 +0200

sgt-puzzles (20161228.7cae89f-1) unstable; urgency=medium

  * New upstream version
  * debian/rules: Generate menu file automatically, fixing the omission
    of Undead and Unruly (Closes: #832797)
  * Use debhelper compatibility level 9
  * debian/control: Update Standards-Version to 3.9.8; no changes needed
  * Build with Gtk+ 3

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 17 Jan 2017 23:57:33 +0000
 

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
 Section: games
 Priority: extra
-Build-Depends: debhelper (>= 7.0.50~), halibut, libgtk2.0-dev, liblocale-po-perl, perl, po4a, autoconf, automake
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), halibut, libgtk-3-dev, liblocale-po-perl, perl, po4a, autoconf, automake
+Standards-Version: 3.9.8
 Homepage: http://www.chiark.greenend.org.uk/~sgtatham/puzzles/
 Vcs-Git: https://git.decadent.org.uk/git/sgt-puzzles.git/
 Vcs-Browser: https://git.decadent.org.uk/gitweb?p=sgt-puzzles.git

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 		 depcomp install-sh list.c missing preprocessed.but \
 		 puzzles.cnt puzzles.hlp puzzles.txt
 
+CFLAGS += -Wno-error=deprecated-declarations
 ifeq ($(DEB_HOST_ARCH), ppc64el)
 CFLAGS := $(filter-out -O3,$(CFLAGS)) -O2
 endif
@@ -58,6 +59,10 @@
 	    || exit; \
 	done
 
+override_dh_installmenu:
+	awk -F: '{ printf "?package(sgt-puzzles):needs=\"x11\" section=\"Games/Puzzles\" title=\"%s\" command=\"/usr/games/sgt-%s\"\n", $$3, $$1 }' < gamedesc.txt > debian/sgt-puzzles.menu
+	dh_installmenu
+
 override_dh_auto_clean:
 	! [ -f Makefile ] || $(MAKE) distclean
 	$(MAKE) -f Makefile.doc clean
@@ -67,7 +72,7 @@
 		rm -f $(AUTOGEN_FILES);			\
 	fi
 	rm -f po
-	dh_clean debian/substvars compile gamedesc.txt version2.def
+	dh_clean debian/sgt-puzzles.menu debian/substvars compile gamedesc.txt version2.def
 
 get-orig-source:
 	wget -O puzzles-new.tar.gz http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles.tar.gz
